|  | Home · All Classes · Modules

# QDir.Filters Class Reference
[QtCore module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, Filters)

### Special Methods

- Filters __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, Filters f)
- Filters __iand__ (self, int f)
- int __int__ (self)
- Filters __invert__ (self)
- Filters __ior__ (self, int f)
- Filters __ixor__ (self, int f)
- bool __ne__ (self, Filters f)
- Filters __or__ (self, int f)
- Filters __xor__ (self, int f)

## Detailed Description

Filter may be used whenever Filters is expected.

## Method Documentation

### Filters.__init__ (self)

### Filters.__init__ (self, int f)

### Filters.__init__ (self, Filters)

### Filters Filters.__and__ (self, int f)

### int Filters.__bool__ (self)

### bool Filters.__eq__ (self, Filters f)

### Filters Filters.__iand__ (self, int f)

### int Filters.__int__ (self)

### Filters Filters.__invert__ (self)

### Filters Filters.__ior__ (self, int f)

### Filters Filters.__ixor__ (self, int f)

### bool Filters.__ne__ (self, Filters f)

### Filters Filters.__or__ (self, int f)

### Filters Filters.__xor__ (self, int f)